/* ========== Style Default ========== */
input, select { background-color: #fff; }

/* Grid */
.grid:after { content: ''; display: table; clear: both; }
.grid-12 { float: left; padding: 10px; width: 50%; }
.grid-6 { float: left; padding: 10px; width: 25%; }


/* ========== BBS ========== */
/* BBS Style - List */
#bbs_style { width: 100%; background: #fff; border-top: 2px solid #777777; border-bottom: 2px solid #ddd; border-collapse: collapse; }
#bbs_style tr th { padding: 18px 0; background-color: #fbfbfb; }
#bbs_style tr td { padding: 18px 0; }
#bbs_style th.bbs_border { padding: 0; background-color: #ddd; }
#bbs_style td.bbs_border { padding: 0; background-color: #eee; }
#bbs_style tr:last-child td { background-color: transparent; }
#bbs_style tr td img { display: inline-block; }

/* BBS Button Wrap */
#bbs_btn_wrap tr td img { display: inline-block; }

/* BBS Style - View */
#bbs_view_style { width: 100%; border-top: 2px solid #333; border-bottom: 2px solid #ddd; border-collapse: collapse; }
#bbs_view_style tr th,
#bbs_view_style tr td { text-align: left; padding-left: 15px; border-bottom: 1px solid #ddd; }
#bbs_view_style tr th { height: 40px; background-color: #fbfbfb; }
#bbs_view_style tr td.content_box { padding: 20px 15px; }
#bbs_view_style tr td.content_box table tr td { padding-left: 0; }
#bbs_view_style tr:last-child td { border-bottom: none; }

#bbs_view_2_style { width: 100%; border-collapse: collapse; border: none; }
#bbs_view_2_style tr th { padding: 0 10px; height: 40px; background-color: #fbfbfb; }
#bbs_view_2_style tr:first-child th,
#bbs_view_2_style tr:first-child td { border-bottom: 1px solid #ddd; }


/* bbs_write_style */




/* ========== BBS - Photo <set> ========== */
.photo_b .photo_body { height: 110px; overflow: hidden; }
.photo_b .photo_body .name { display: block; height: 1.5em; line-height: 1.5em; overflow: hidden; word-break: break-all; text-overflow:ellipsis; white-space: nowrap; word-wrap: break-word;}
.photo_b .photo_img { position: relative; overflow: hidden; height: 180px; }
.photo_b .photo_img a { display: block; position: relative; height: 100%; border: 1px solid #ddd; }
.photo_b .photo_img a img { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 100%; height: auto; }

/* BBS - View */
.view_image img { margin-bottom: 15px; max-width: 768px; width: 100%; height: auto; }
.list_image { margin-bottom: 15px; max-width: 768px; width: 100%; height: auto; font-size: 0; }
.list_image > div { overflow: hidden; position: relative; display: inline-block; vertical-align: top; padding: 5px; width: 20%; border: 1px solid #ddd; }
.list_image > div > img { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 100%; height: auto; }

/* BBS - Photo List */
.photo_l { padding: 20px; }
.photo_l_wrap:after { content: ''; display: table; clear: both; }
.photo_l_wrap { padding: 20px 0; border-bottom: 1px solid #ddd; }
.photo_l .list_left { float: left; width: 40%; }
.photo_l .list_left img { width: 100%; height: auto; }
.photo_l .list_center { float: left; width: 10%; }
.photo_l .list_right { float: left; width: 60%; }
.photo_l .contents { padding-left: 20px; text-align: left; }
.photo_l .btn_wrap { text-align: right; }

.bbs_photo { padding-top: 40px; text-align: center; }
.bbs_photo .photo_b { padding-bottom: 60px; }
.bbs_photo .photo_b .gird_border { border-bottom: 1px solid #e5e5e5; }
.bbs_photo .name a { font-size: 23px; color: #333333; font-weight: 500; }
.bbs_photo .content { line-height: 30px; font-size: 15px; color: #666666; font-weight: 500; }


/* BBS - Photo List 2 */
#photo_l2 { padding-bottom: 20px; }
#photo_l2 img { width: 100%; height: auto; }


/* BBS - Thumbnail Basic 2 */
.bbs .thumb_img { padding: 15px; }
.bbs .thumb_list_wrap { padding: 15px; }


/* BBS - Thumbnail Basic 3 */
.thumb_b3 { height: 100px; overflow: hidden; }
.thumb_b3:after { content: ''; display: table; clear: both; }
.thumb_b3 .thumb_img { float: left; width: 30%; }
.thumb_b3 .thumb_img img { width: 100%; height: auto; }
.thumb_b3 .thumb_body { float: left; width: 70%; padding-left: 20px; text-align: left; }


/* BBS - Photo List */
.thumbnail_b2 { }


/* Table Grid */
.table-grid { width: 100%; }
.table-grid:after { content: ''; display: table; clear: both; }
.t_grid-12 { display: table; float: left; padding: 10px 0; width: 50%; }
.t_grid-24 { display: table; padding: 10px 0; width: 100%; }
.t_th { display: table-cell; vertical-align: middle; width: 15%; height: 35px; padding-left: 10px; text-align: left; }
.t_td { display: table-cell; vertical-align: middle; width: 85%; }
.table-grid input { width: 100% !important; }


/* BBS - Guest */
#bbs_guest_style { padding: 15px; background-color: #fafafa; border: 1px solid #ddd; }
#bbs_guest_style input { padding: 0 10px; height: 35px; background-color: #fff; }
#bbs_guest_style textarea { background-color: #fff; }
#bbs_guest_border_style { border-collapse: collapse; border-top: 2px solid #333; }
.spam_check { text-align: left; }
.spam_check input { width: 30% !important; }
.table-grid button[type=submit] { width: 150px; height: 35px; line-height: 35px; color: #fff; background-color: #333; }
.guest_parents img { display: inline-block; }

/* bbs Search Box Style */
#bbs_list_search  { background-color: #fafafa; border: 1px solid #eeeeee; }
#bbs_list_search tr td { padding: 20px 0; }
#bbs_list_search select,
#bbs_list_search input,
#bbs_list_search button { height: 35px; border: 1px solid #dddddd; background-color: #fff; }

#bbs_list_search select { margin-right: 5px; width: 100px; }
#bbs_list_search input { width: 275px; }
#bbs_list_search button { width: 65px; color: #fff; background-color: #333; }



/* Page List Style */
#page_list_style { margin: 30px 0 50px; }
.Paging_Num { border-bottom: none !important; }
.Paging_Num tr td { border-bottom: none !important; }

#page_list_style tr td { padding: 0; }
#pager tr td { width: 30px; height: 30px; text-align: center; }
#pager tr td a { display: block; height: 100%; line-height: 30px; text-align: center; }
#pager tr td a img { display: inline-block; }
.current_page { font-size: 14px; font-weight: 500; background-color: #333; color: #fff; border: none; }






/* BBS - Map */
#map_search { padding: 15px 10px; border: 1px solid #ddd; background-color: #fbfbfb; }
#map_search > form > div { display: inline-block; vertical-align: top; padding: 0 10px;}
#map_search > form > div > input,
#map_search > form > div > select,
#map_search > form > div > button { width: 100%; height: 35px; }
#map_search > form > .map_form1 { width: 25%; }
#map_search > form > .map_form2 { width: 25%; }
#map_search > form > .map_form3 { width: 50%; position: relative; padding-right: 110px; }
#map_search > form > .map_form3 > button { position: absolute; top:0; right: 10px; width: 100px; color: #fff; background-color: #333; }

/* ========== Media Query ========== */
@media (max-width: 767px){

  /* ========== COMMON ========== */
  /* Grid */
  .grid-6 { padding: 2%; width: 50%; }
  #bbs_style .grid-6,
  #bbs_style .grid-8 { width: 50%; }

  /* BBS - View */
  .list_image > div  { width: 25%; }



  /* BBS - Thumbnail Basic 3 */
  .thumb_b3 { width: 100%; }


  /* ========== BBS ========== */
  /* BBS - Photo List */
  .photo_l { padding: 20px 2%; }


  /* BBS - Guest */
  .t_grid-12 { display: table; width: 100%; }

  /* bbs Search Box Style */
  #bbs_list_search select { margin-right: 5px; width: 70px; }
  #bbs_list_search input { width: 130px; }
  #bbs_list_search button { width: 45px; color: #fff; background-color: #333; }

  /* BBS - Map */
  #map_view { display: none; }
  #map_search > form > .map_form1 { display: block; padding-top: 5px; padding-bottom: 5px; width: 100%; }
  #map_search > form > .map_form2 { display: block; padding-top: 5px; padding-bottom: 5px; width: 100%; }
  #map_search > form > .map_form3 { padding-top: 5px; padding-bottom: 5px; width: 100%; }
  #map_search > form > .map_form3 > button { top: 5px; }

}
